package com.zksy.park.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.common.core.domain.Result;
import com.zksy.park.domain.ParkInfo;
import com.zksy.park.domain.ParkStemScreen;
import com.zksy.park.domain.dto.PackInfoDto;
import com.zksy.park.domain.dto.ParkStemScreenDto;

import java.util.List;

/**
 * @author nahida
 * @version 1.0
 * @project dh-server-micro
 * @description 园区灯杆大屏
 * @date 2024/12/23 08:54:28
 */
public interface ParkStemScreenService extends IService<ParkStemScreen> {
    Result<Object> saveParkStemScreen(ParkStemScreenDto dto);

    Result<String> updateByParkStemScreenId(ParkStemScreenDto dto);

    Result<String> deleteById(String id);

    Result<ParkStemScreen> getByIdWithFile(String id);

    List<ParkStemScreen> listWithImg(QueryWrapper<ParkStemScreen> queryWrapper);
}
